Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Service_Callbacks Class Reference

An Abstract Base class for the hooks in the ORB. More...

`#include <Service_Callbacks.h>`

List of all members.

## Public Methods
virtual | ~TAO_Service_Callbacks (void)
| Dtor. More...
virtual CORBA::Boolean | select_profile (TAO_MProfile *mprofile, TAO_Profile *&pfile)
| Select the profile from MProfile as the needs of the services may be. Return the profile in <pfile>. More...
virtual CORBA::Boolean | reselect_profile (TAO_Stub *stub, TAO_Profile *&pfile)
| Select the profile from MProfile as the needs of the services may be. Return the profile in <pfile>. More...
virtual void | reset_profile_flags (void)
| Reset the profile flags that the services could have. More...
virtual CORBA::Boolean | object_is_nil (CORBA::Object_ptr obj)
| Check whether <obj> is nil or not. More...
virtual void | service_context_list (TAO_Stub *&stub, IOP::ServiceContextList &service_list, CORBA::Boolean restart ACE_ENV_ARG_DECL)
| Allow the services to add service specific service context information. More...
virtual int | raise_comm_failure (TAO_GIOP_Invocation *invoke, TAO_Profile *profile ACE_ENV_ARG_DECL)
| Allow the service layer to decide whether the COMM_FAILURE exception should be thrown or a reinvocation is needed. More...
virtual int | raise_transient_failure (TAO_GIOP_Invocation *invoke, TAO_Profile *profile ACE_ENV_ARG_DECL)
| Allow the service layer to decide whether the TRANSIENT exception should be thrown or a reinvocation is needed. More...
virtual void | service_log_msg_rcv (TAO_Message_State_Factory &state)
| Send the message state to the FT service for logging. More...
virtual void | service_log_msg_pre_upcall (TAO_ServerRequest &req)
| Send the message state to the FT service for logging. More...
virtual void | service_log_msg_post_upcall (TAO_ServerRequest &req)
| Send the message state to the FT service for logging. More...

## Detailed Description

An Abstract Base class for the hooks in the ORB.

This class (would) define all the hooks that may be needed by the ORB to override some of its default behaviour. The methods can be potentially used to call service level specific processing that may be required.

## Constructor & Destructor Documentation

TAO_Service_Callbacks::~TAO_Service_Callbacks | ( | void |  | ) | `[virtual]`

| Dtor.

## Member Function Documentation

CORBA::Boolean TAO_Service_Callbacks::object_is_nil | ( | CORBA::Object_ptr | obj | ) | `[virtual]`

| Check whether <obj> is nil or not.

virtual int TAO_Service_Callbacks::raise_comm_failure | ( | TAO_GIOP_Invocation * | invoke,
|  | TAO_Profile *profile | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Allow the service layer to decide whether the COMM_FAILURE exception should be thrown or a reinvocation is needed.

virtual int TAO_Service_Callbacks::raise_transient_failure | ( | TAO_GIOP_Invocation * | invoke,
|  | TAO_Profile *profile | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Allow the service layer to decide whether the TRANSIENT exception should be thrown or a reinvocation is needed.

CORBA::Boolean TAO_Service_Callbacks::reselect_profile | ( | TAO_Stub * | stub,
|  | TAO_Profile *& | pfile
| ) | `[virtual]`

| Select the profile from MProfile as the needs of the services may be. Return the profile in <pfile>.

void TAO_Service_Callbacks::reset_profile_flags | ( | void |  | ) | `[virtual]`

| Reset the profile flags that the services could have.

CORBA::Boolean TAO_Service_Callbacks::select_profile | ( | TAO_MProfile * | mprofile,
|  | TAO_Profile *& | pfile
| ) | `[virtual]`

| Select the profile from MProfile as the needs of the services may be. Return the profile in <pfile>.

void TAO_Service_Callbacks::service_context_list | ( | TAO_Stub *& | stub,
|  | IOP::ServiceContextList & | service_list,
|  | CORBA::Boolean | ACE_ENV_ARG_DECL_NOT_USED
| ) | `[virtual]`

| Allow the services to add service specific service context information.

void TAO_Service_Callbacks::service_log_msg_post_upcall | ( | TAO_ServerRequest & | req | ) | `[virtual]`

| Send the message state to the FT service for logging. This hook sends the message state just before the reply is ready to be dispatched.

void TAO_Service_Callbacks::service_log_msg_pre_upcall | ( | TAO_ServerRequest & | req | ) | `[virtual]`

| Send the message state to the FT service for logging. This hook sends the message state after the POA receives upcall but just before the call has been dispatched to the servant

void TAO_Service_Callbacks::service_log_msg_rcv | ( | TAO_Message_State_Factory & | state | ) | `[virtual]`

| Send the message state to the FT service for logging. This hook sends the message state after the server receives the message. The message at this point has been verified that it is a GIOP message.

The documentation for this class was generated from the following files:

- Service_Callbacks.h
- Service_Callbacks.cpp